## binwalk3 3.1.0

=== debian/changelog ===
binwalk3 (3.1.0-0kali3) kali-dev; urgency=medium

  [ Sophie Brun ]
  * All binary packages are available only on arm64 and amd64
  * Update my email
  * Update to use rust-colored* version in Debian
  * Update version of uuid-macro-diagnostics

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

 -- Sophie Brun <sophie@kali.org>  Tue, 14 Oct 2025 17:13:50 +0200

binwalk3 (3.1.0-0kali2) kali-dev; urgency=medium

  * binwalk3 only compiles on 64-bit arch
  * Add missing dep sasquatch

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Apr 2025 11:16:36 +0200

binwalk3 (3.1.0-0kali1) kali-experimental; urgency=medium

  * Initial Packaging

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Feb 2025 11:35:19 +0100
