=== debian/control ===
Source: binwalk3
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-aho-corasick-1+default-dev (>= 1.1.3-~~),
 librust-base64-0.22+default-dev (>= 0.22.1-~~),
 librust-bzip2-0.4+default-dev (>= 0.4.4-~~),
 librust-chrono-0.4+default-dev (>= 0.4.38-~~),
 librust-clap-4+default-dev (>= 4.5.16-~~),
 librust-clap-4+derive-dev (>= 4.5.16-~~),
 librust-colored-3+default-dev (>= 3.0.0-~~),
 librust-crc32-v2-0.0.5+default-dev,
 librust-crc32c-0.6+default-dev (>= 0.6.8-~~),
 librust-entropy-0.4+default-dev (>= 0.4.2-~~),
 librust-env-logger-0.11+default-dev (>= 0.11.5-~~),
 librust-flate2-1+default-dev (>= 1.0.34-~~),
 librust-log-0.4+default-dev (>= 0.4.22-~~),
 librust-plotters-0.3+default-dev (>= 0.3.6-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-termsize-0.1+default-dev,
 librust-threadpool-1+default-dev (>= 1.8.1-~~),
 librust-uuid-1+default-dev (>= 1.10.0-~~),
 librust-uuid-1+fast-rng-dev (>= 1.10.0-~~),
 librust-uuid-1+macro-diagnostics-dev (>= 1.18.0-~~),
 librust-uuid-1+v4-dev (>= 1.10.0-~~),
 librust-walkdir-2+default-dev (>= 2.5.0-~~),
 librust-xxhash-rust-0.8+default-dev (>= 0.8.6-~~),
 librust-xxhash-rust-0.8+xxh32-dev (>= 0.8.6-~~),
 librust-xz2-0.1+default-dev (>= 0.1.7-~~)
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Standards-Version: 4.7.0
Vcs-Git: https://gitlab.com/kalilinux/packages/binwalk3.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/binwalk3
Homepage: https://github.com/ReFirmLabs/binwalk
X-Cargo-Crate: binwalk

Package: librust-binwalk-dev
Architecture: arm64 amd64
Multi-Arch: same
Section: rust
Depends:
 ${misc:Depends},
 librust-aho-corasick-1+default-dev (>= 1.1.3-~~),
 librust-base64-0.22+default-dev (>= 0.22.1-~~),
 librust-bzip2-0.4+default-dev (>= 0.4.4-~~),
 librust-chrono-0.4+default-dev (>= 0.4.38-~~),
 librust-clap-4+default-dev (>= 4.5.16-~~),
 librust-clap-4+derive-dev (>= 4.5.16-~~),
 librust-colored-3+default-dev (>= 2.1.0-~~),
 librust-crc32-v2-0.0.5+default-dev,
 librust-crc32c-0.6+default-dev (>= 0.6.8-~~),
 librust-entropy-0.4+default-dev (>= 0.4.2-~~),
 librust-env-logger-0.11+default-dev (>= 0.11.5-~~),
 librust-flate2-1+default-dev (>= 1.0.34-~~),
 librust-log-0.4+default-dev (>= 0.4.22-~~),
 librust-plotters-0.3+default-dev (>= 0.3.6-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-termsize-0.1+default-dev,
 librust-threadpool-1+default-dev (>= 1.8.1-~~),
 librust-uuid-1+default-dev (>= 1.10.0-~~),
 librust-uuid-1+fast-rng-dev (>= 1.10.0-~~),
 librust-uuid-1+macro-diagnostics-dev (>= 1.10.0-~~),
 librust-uuid-1+v4-dev (>= 1.10.0-~~),
 librust-walkdir-2+default-dev (>= 2.5.0-~~),
 librust-xxhash-rust-0.8+default-dev (>= 0.8.12-~~),
 librust-xxhash-rust-0.8+xxh32-dev (>= 0.8.12-~~),
 librust-xz2-0.1+default-dev (>= 0.1.7-~~)
Provides:
 librust-binwalk+default-dev (= ${binary:Version}),
 librust-binwalk-3-dev (= ${binary:Version}),
 librust-binwalk-3+default-dev (= ${binary:Version}),
 librust-binwalk-3.1-dev (= ${binary:Version}),
 librust-binwalk-3.1+default-dev (= ${binary:Version}),
 librust-binwalk-3.1.0-dev (= ${binary:Version}),
 librust-binwalk-3.1.0+default-dev (= ${binary:Version})
Description: Analyzes data for embedded file types - Rust source code
 Source code for Debianized Rust crate "binwalk"

Package: binwalk3
Architecture: amd64 arm64
Multi-Arch: allowed
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 sasquatch
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: tool library for analyzing binary blobs and executable code
 Binwalk is a tool for identifying, and optionally extracting, files and data
 that have been embedded inside of other files.
 .
 While its primary focus is firmware analysis, it supports a wide variety of
 file and data types.
 .
 Through entropy analysis, it can even help to identify unknown compression or
 encryption!
 .
 Binwalk can be customized and integrated into your own Rust projects
 .
 This is an updated version of the Binwalk firmware analysis tool, re-written
 in Rust for speed and accuracy.
