=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem cargo

execute_after_dh_install:
	mv debian/binwalk3/usr/bin/binwalk debian/binwalk3/usr/bin/binwalk3
