=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test binwalk 3.1.0 --all-targets --all-features
Features: test-name=rust-binwalk:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test binwalk 3.1.0 --all-targets
Features: test-name=librust-binwalk-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test binwalk 3.1.0 --all-targets --no-default-features
Features: test-name=librust-binwalk-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: binwalk3 --help
Restrictions: superficial
